安全公告

Microsoft 安全公告 MS13-008 - 关键

Internet Explorer (2799329) 安全更新

发布日期:2013 年 1 月 14 日

版本: 1.0

常规信息

执行摘要

此安全更新可解决 Internet Explorer 中一个公开披露的漏洞。 如果用户使用 Internet Explorer 查看特制网页,该漏洞可能允许远程执行代码。 成功利用此漏洞的攻击者可以获得与当前用户相同的用户权限。 与使用管理用户权限操作的用户相比,其帐户在系统上具有更少用户权限的用户更不易受到影响。

对于 Windows 客户端上的 Internet Explorer 6、Internet Explorer 7 和 Internet Explorer 8,此安全更新的评级为“严重”;对于 Windows 服务器上的 Internet Explorer 6、Internet Explorer 7 和 Internet Explorer 8,此安全更新的评级为“中等”。 Internet Explorer 9 和 Internet Explorer 10 不受影响。 有关详细信息,请参阅本节中的“ 受影响的和不受影响的软件”小节。

安全更新通过修改 Internet Explorer 处理内存中对象的方式来解决漏洞。 有关漏洞的详细信息,请参阅常见问题解答 (常见问题解答) 子部分,了解下一部分漏洞 信息下的特定漏洞条目。

此安全更新还解决了 Microsoft 安全公告2794220中首先介绍的漏洞。

建议。 大多数客户都启用了自动更新,无需执行任何操作,因为将自动下载并安装此安全更新。 未启用自动更新的客户需要检查更新并手动安装此更新。 有关自动更新中的特定配置选项的信息,请参阅 Microsoft 知识库文章294871

对于管理员和企业安装,或想要手动安装此安全更新的最终用户,Microsoft 建议客户使用更新管理软件立即应用更新,或使用 Microsoft 更新 服务检查更新。

另请参阅本公告后面的 检测和部署工具和指南部分。

已知问题。 无

受影响的和不受影响的软件

以下软件已经过测试,以确定受影响的版本。 其他版本已超过其支持生命周期或不受影响。 若要确定软件版本的支持生命周期,请参阅Microsoft 支持部门生命周期

受影响的软件 

操作系统 组件 最大安全影响 聚合严重性分级 已替换汇报
Internet Explorer 6
Windows XP Service Pack 3 Internet Explorer 6 (KB2799329) 远程执行代码 严重
Windows XP Professional x64 Edition Service Pack 2 Internet Explorer 6 (KB2799329) 远程执行代码 严重
Windows Server 2003 Service Pack 2 Internet Explorer 6 (KB2799329) 远程执行代码 中等
Windows Server 2003 x64 Edition Service Pack 2 Internet Explorer 6 (KB2799329) 远程执行代码 中等
Windows Server 2003 SP2,适用于基于 Itanium 的系统 Internet Explorer 6 (KB2799329) 远程执行代码 中等
Internet Explorer 7
Windows XP Service Pack 3 Internet Explorer 7 (KB2799329) 远程执行代码 严重
Windows XP Professional x64 Edition Service Pack 2 Internet Explorer 7 (KB2799329) 远程执行代码 严重
Windows Server 2003 Service Pack 2 Internet Explorer 7 (KB2799329) 远程执行代码 中等
Windows Server 2003 x64 Edition Service Pack 2 Internet Explorer 7 (KB2799329) 远程执行代码 中等
Windows Server 2003 SP2,适用于基于 Itanium 的系统 Internet Explorer 7 (KB2799329) 远程执行代码 中等
Windows Vista Service Pack 2 Internet Explorer 7 (KB2799329) 远程执行代码 严重
Windows Vista x64 Edition Service Pack 2 Internet Explorer 7 (KB2799329) 远程执行代码 严重
Windows Server 2008 for 32 位系统 Service Pack 2 Internet Explorer 7 (KB2799329) 远程执行代码 中等
适用于基于 x64 的系统 Service Pack 2 的 Windows Server 2008 Internet Explorer 7 (KB2799329) 远程执行代码 中等
Windows Server 2008 for Itanium-based Systems Service Pack 2 Internet Explorer 7 (KB2799329) 远程执行代码 中等
Internet Explorer 8
Windows XP Service Pack 3 Internet Explorer 8 (KB2799329) 远程执行代码 严重
Windows XP Professional x64 Edition Service Pack 2 Internet Explorer 8 (KB2799329) 远程执行代码 严重
Windows Server 2003 Service Pack 2 Internet Explorer 8 (KB2799329) 远程执行代码 中等
Windows Server 2003 x64 Edition Service Pack 2 Internet Explorer 8 (KB2799329) 远程执行代码 中等
Windows Vista Service Pack 2 Internet Explorer 8 (KB2799329) 远程执行代码 严重
Windows Vista x64 Edition Service Pack 2 Internet Explorer 8 (KB2799329) 远程执行代码 严重
Windows Server 2008 for 32 位系统 Service Pack 2 Internet Explorer 8 (KB2799329) 远程执行代码 中等
适用于基于 x64 的系统 Service Pack 2 的 Windows Server 2008 Internet Explorer 8 (KB2799329) 远程执行代码 中等
适用于 32 位系统的 Windows 7 Internet Explorer 8 (KB2799329) 远程执行代码 严重
适用于 32 位系统 Service Pack 1 的 Windows 7 Internet Explorer 8 (KB2799329) 远程执行代码 严重
适用于基于 x64 的系统的 Windows 7 Internet Explorer 8 (KB2799329) 远程执行代码 严重
适用于基于 x64 的系统 Service Pack 1 的 Windows 7 Internet Explorer 8 (KB2799329) 远程执行代码 严重
适用于基于 x64 系统的 Windows Server 2008 R2 Internet Explorer 8 (KB2799329) 远程执行代码 中等
适用于基于 x64 的系统 Service Pack 1 的 Windows Server 2008 R2 Internet Explorer 8 (KB2799329) 远程执行代码 中等
面向基于 Itanium 系统的 Windows Server 2008 R2 Internet Explorer 8 (KB2799329) 远程执行代码 中等
Windows Server 2008 R2 for Itanium-based Systems Service Pack 1 Internet Explorer 8 (KB2799329) 远程执行代码 中等

 

不受影响的软件

操作系统 组件
Internet Explorer 9
Windows Vista Service Pack 2 Internet Explorer 9
Windows Vista x64 Edition Service Pack 2 Internet Explorer 9
Windows Server 2008 for 32 位系统 Service Pack 2 Internet Explorer 9
Windows Server 2008 for x64 系统 Service Pack 2 Internet Explorer 9
适用于 32 位系统的 Windows 7 Internet Explorer 9
Windows 7 for 32 位系统 Service Pack 1 Internet Explorer 9
Windows 7(适用于基于 x64 的系统) Internet Explorer 9
Windows 7 for 基于 x64 的系统 Service Pack 1 Internet Explorer 9
适用于基于 x64 的系统的 Windows Server 2008 R2 Internet Explorer 9
Windows Server 2008 R2 for x64 系统 Service Pack 1 Internet Explorer 9
Internet Explorer 10
适用于 32 位系统的Windows 8 Internet Explorer 10
适用于 64 位系统的Windows 8 Internet Explorer 10
Windows Server 2012 Internet Explorer 10
Windows RT Internet Explorer 10
服务器核心安装
Windows Server 2008 for 32 位系统 Service Pack 2 (Server Core 安装) 不适用
Windows Server 2008 for x64 系统 Service Pack 2 (Server Core 安装) 不适用
Windows Server 2008 R2(适用于基于 x64 的系统) (Server Core 安装) 不适用
Windows Server 2008 R2 for x64 系统 Service Pack 1 (Server Core 安装) 不适用
Windows Server 2012 (Server Core 安装) 不适用

此更新 MS13-008 是Internet Explorer 的累积安全更新?
错误。 此安全更新 MS13-008 仅解决本公告中所述的漏洞。

是否需要安装Internet Explorer 的最后一个累积安全更新 MS12-077?
是的。 在所有情况下,MS13-008 都会保护客户免受本公告中讨论的漏洞的危害。 但是,安装 MS13-008 更新后,尚未安装 Internet Explorer 的最新累积安全更新的客户可能会遇到兼容性问题。

客户需要确保安装了 Internet Explorer 的最新累积安全更新 MS12-077,以避免兼容性问题。

如果我在 Microsoft 安全咨询2794220中为Internet Explorer 应用了自动 Microsoft Fix it 解决方案,是否需要在应用此更新之前撤消解决方法?
在 Microsoft 安全咨询2794220中实现了 Microsoft修复解决方案“MSHTML Shim 解决方法”的客户无需在应用此更新之前撤消 Microsoft 修复解决方案

但是,由于不再需要解决方法,因此客户可能需要在安装此更新后撤消该解决方法。 有关如何撤消此解决方法的详细信息,请参阅此公告中的漏洞解决方法。

文件信息详细信息在哪里?
有关文件信息详细信息的位置,请参阅 安全更新部署 部分中的参考表。

安全更新的哈希在哪里
安全更新的 SHA1 和 SHA2 哈希可用于验证下载的安全更新包的真实性。 有关此更新的哈希信息,请参阅 Microsoft 知识库文章2799329

服务器核心安装如何受到此公告中解决的漏洞的影响
使用 Server Core 安装选项进行安装时,此更新解决的漏洞不会影响受支持的 Windows Server 2008、Windows Server 2008 R2 版本或Windows Server 2012,如“不受影响软件”表中所示。 有关此安装选项的详细信息,请参阅 TechNet 文章 :管理服务器核心安装:概述为服务器核心安装提供服务以及 服务器核心和完整服务器集成概述

我使用的是此安全公告中讨论的较旧版本的软件。 应采取何种操作?
本公告中列出的受影响软件已经过测试,以确定受影响的版本。 其他版本已超过其支持生命周期。 有关产品生命周期的详细信息,请参阅Microsoft 支持部门生命周期网站。

对于具有较旧版本的软件的客户,应优先迁移到受支持的版本,以防止潜在漏洞暴露。 若要确定软件版本的支持生命周期,请参阅 选择生命周期信息的产品。 有关这些软件版本的 Service Pack 的详细信息,请参阅 Service Pack 生命周期支持策略

需要旧版软件自定义支持的客户必须与 Microsoft 客户团队代表、技术客户经理或相应的 Microsoft 合作伙伴代表联系以获取自定义支持选项。 没有联盟、顶级或授权合同的客户可以联系其当地的 Microsoft 销售办事处。 有关联系人信息,请参阅 Microsoft 全球信息 网站,在“联系人信息”列表中选择国家/地区,然后单击“ 转到 ”查看电话号码列表。 打电话时,要求与当地顶级支持销售经理交谈。 有关详细信息,请参阅 Microsoft 支持部门 生命周期策略常见问题解答

漏洞信息

严重级别和漏洞标识符

以下严重性分级假定漏洞的潜在最大影响。 有关此安全公告发布后 30 天内漏洞被利用的可能性(相对于其严重性级别和安全影响)的信息,请参阅 1 月公告摘要中的可利用索引。 有关详细信息,请参阅 Microsoft 可利用性索引

受影响的软件 Internet Explorer 释放后使用漏洞 - CVE-2012-4792 聚合严重性分级
Internet Explorer 6
Internet Explorer 6 for Windows XP Service Pack 3 关键 远程代码执行 严重
Internet Explorer 6 for Windows XP Professional x64 Edition Service Pack 2 关键 远程代码执行 严重
适用于 Windows Server 2003 Service Pack 2 的 Internet Explorer 6 温和 远程代码执行
Internet Explorer 6 for Windows Server 2003 x64 Edition Service Pack 2 温和 远程代码执行
适用于 Windows Server 2003 的 Internet Explorer 6 与 SP2(适用于基于 Itanium 的系统) 温和 远程代码执行
Internet Explorer 7
Internet Explorer 7 for Windows XP Service Pack 3 关键 远程代码执行 严重
Internet Explorer 7 for Windows XP Professional x64 Edition Service Pack 2 关键 远程代码执行 严重
适用于 Windows Server 2003 Service Pack 2 的 Internet Explorer 7 温和 远程代码执行
Internet Explorer 7 for Windows Server 2003 x64 Edition Service Pack 2 温和 远程代码执行
Internet Explorer 7 for Windows Server 2003 与 SP2 for 基于 Itanium 的系统 温和 远程代码执行
Windows Vista Service Pack 2 中的 Internet Explorer 7 关键 远程代码执行 严重
Windows Vista x64 Edition Service Pack 2 中的 Internet Explorer 7 关键 远程代码执行 严重
适用于 32 位系统 Service Pack 2 的 Windows Server 2008 中的 Internet Explorer 7 温和 远程代码执行
适用于基于 x64 的系统 Service Pack 2 的 Windows Server 2008 中的 Internet Explorer 7 温和 远程代码执行
Internet Explorer 7 Windows Server 2008 for Itanium-based Systems Service Pack 2 温和 远程代码执行
Internet Explorer 8
Internet Explorer 8 for Windows XP Service Pack 3 关键 远程代码执行 严重
Internet Explorer 8 for Windows XP Professional x64 Edition Service Pack 2 关键 远程代码执行 严重
Internet Explorer 8 for Windows Server 2003 Service Pack 2 温和 远程代码执行
Internet Explorer 8 for Windows Server 2003 x64 Edition Service Pack 2 温和 远程代码执行
Windows Vista Service Pack 2 中的 Internet Explorer 8 关键 远程代码执行 严重
Windows Vista x64 Edition Service Pack 2 中的 Internet Explorer 8 关键 远程代码执行 严重
Windows Server 2008 for 32 位系统 Service Pack 2 中的 Internet Explorer 8 温和 远程代码执行
适用于基于 x64 的系统 Service Pack 2 的 Windows Server 2008 中的 Internet Explorer 8 温和 远程代码执行
适用于 32 位系统的 Windows 7 中的 Internet Explorer 8 关键 远程代码执行 严重
适用于 32 位系统 Service Pack 1 的 Windows 7 中的 Internet Explorer 8 关键 远程代码执行 严重
Windows 7 中的 Internet Explorer 8(适用于基于 x64 的系统) 关键 远程代码执行 严重
适用于基于 x64 的系统 Service Pack 1 的 Windows 7 中的 Internet Explorer 8 关键 远程代码执行 严重
Windows Server 2008 R2 中的 Internet Explorer 8(适用于基于 x64 的系统) 温和 远程代码执行
适用于基于 x64 的系统 Service Pack 1 的 Windows Server 2008 R2 中的 Internet Explorer 8 温和 远程代码执行
Windows Server 2008 R2 中的 Internet Explorer 8,适合基于 Itanium 的系统 温和 远程代码执行
Windows Server 2008 R2 for Itanium 系统 Service Pack 1 中的 Internet Explorer 8 温和 远程代码执行

Internet Explorer 释放后使用漏洞 - CVE-2012-4792

Internet Explorer 访问内存中未正确初始化或删除的对象的方式存在远程代码执行漏洞。 该漏洞可能会损坏内存,攻击者可以在当前用户的上下文中执行任意代码。

若要在“常见漏洞和披露”列表中以标准条目的形式查看此漏洞,请参阅 CVE-2012-4792

Internet Explorer 释放后使用漏洞的缓解因素 - CVE-2012-4792

缓解是指一种设置、常见配置或一般最佳做法,存在于默认状态,可降低利用漏洞的严重性。 以下缓解因素可能对你的情况有所帮助:

  • 在基于 Web 的攻击方案中,攻击者可能托管一个旨在通过 Internet Explorer 利用此漏洞的特制网站。 攻击者还可能利用受入侵的网站和接受或托管用户提供的内容或广告的网站。 这些网站可能包含可能利用此漏洞的特制内容。 但是,在所有情况下,攻击者都无法强制用户查看攻击者控制的内容。 相反,攻击者必须说服用户采取措施,通常是通过让用户单击电子邮件或将用户带到攻击者网站的即时消息中的链接,或者打开通过电子邮件发送的附件。
  • 成功利用此漏洞的攻击者可以获得与当前用户相同的用户权限。 与使用管理用户权限操作的用户相比,其帐户在系统上具有更少用户权限的用户更不易受到影响。
  • 默认情况下,所有受支持的 Microsoft Outlook、Microsoft Outlook Express 和 Windows 邮件版本都会在“受限网站”区域中打开 HTML 电子邮件。 “受限站点”区域禁用脚本和 ActiveX 控件,可帮助降低攻击者能够使用此漏洞执行恶意代码的风险。 如果用户单击电子邮件中的链接,则用户仍可能通过基于 Web 的攻击方案利用此漏洞。
  • 默认情况下,Windows Server 2003、Windows Server 2008、Windows Server 2008 R2 和 Windows Server 2012上的 Internet Explorer 在称为增强型安全配置的受限模式下运行。 此模式可缓解此漏洞。 有关 Internet Explorer 增强的安全配置的详细信息,请参阅此漏洞的常见问题解答部分。

Internet Explorer 释放后使用漏洞的解决方法 - CVE-2012-4792

解决方法是指设置或配置更改,该设置或配置更改不会纠正基础漏洞,但有助于在应用更新之前阻止已知的攻击途径。 Microsoft 测试了以下解决方法,并在讨论中指出解决方法是否降低了功能:

  • 应用 Microsoft 修复解决方案“MSHTML 填充码解决方法”,防止此问题被利用

    请参阅 Microsoft 知识库文章2799329 ,了解如何使用 Microsoft 修复 自动化解决方案启用或禁用此解决方法。

     

  • 将 Internet 和本地 Intranet 安全区域设置设置为“高”,以阻止这些区域中的 ActiveX 控件和活动脚本

    可以通过更改 Internet 安全区域的设置来阻止 ActiveX 控件和活动脚本,帮助防止利用此漏洞。 可以通过将浏览器安全性设置为“高”来执行此操作。

    若要在 Internet Explorer 中提高浏览安全级别,请执行以下步骤:

    1. 在“Internet Explorer 工具 ”菜单上,单击“ Internet 选项”。
    2. “Internet 选项 ”对话框中,单击“ 安全 ”选项卡,然后单击“ Internet”。
    3. “此区域的安全级别”下,将滑块移动到“ ”。 这会将你访问的所有网站的安全级别设置为“高”。
    4. 单击“ 本地 Intranet”。
    5. “此区域的安全级别”下,将滑块移动到“ ”。 这会将你访问的所有网站的安全级别设置为“高”。
    6. 单击“ 确定 ”接受更改并返回到 Internet Explorer。

    注意 如果没有滑块可见,请单击“ 默认级别”,然后将滑块移动到“ ”。

    注意 将级别设置为“高”可能会导致某些网站无法正常工作。 如果在更改此设置后使用网站时遇到困难,并且确信该网站是安全的,则可以将该网站添加到受信任的站点列表中。 这样,即使安全设置设置为“高”,站点也能正常运行。

    解决方法的影响。 阻止 ActiveX 控件和活动脚本会产生副作用。 Internet 或 Intranet 上的许多网站使用 ActiveX 或 Active Scripting 来提供其他功能。 例如,在线电子商务网站或银行网站可以使用 ActiveX 控件来提供菜单、订购表单甚至帐户对账单。 阻止 ActiveX 控件或活动脚本是影响所有 Internet 和 Intranet 站点的全局设置。 如果不想阻止此类站点的 ActiveX 控件或活动脚本,请使用“将信任的站点添加到 Internet Explorer 受信任的站点区域”中所述的步骤。

    将信任的站点添加到 Internet Explorer 受信任的站点区域

    在 Internet 区域和本地 Intranet 区域中将 Internet Explorer 设置为阻止 ActiveX 控件和活动脚本后,可以将信任的站点添加到 Internet Explorer 受信任的站点区域。 这将使你能够像现在一样继续使用受信任的网站,同时帮助保护自己免受针对不受信任站点的这种攻击。 建议仅将信任的站点添加到“受信任的站点”区域。

    为此,请执行下列步骤:

    1. 在 Internet Explorer 中,依次单击“ 工具”、“ Internet 选项”和“ 安全 ”选项卡。
    2. “选择 Web 内容区域以指定其当前安全设置 ”框中,单击“ 受信任的站点”,然后单击“ 站点”。
    3. 如果要添加不需要加密通道的站点,请单击以清除“要求对此区域中所有站点进行服务器验证 (https:) ”框检查。
    4. “将此网站添加到区域 ”框中,键入信任的站点的 URL,然后单击“ 添加”。
    5. 对要添加到区域的每个站点重复这些步骤。
    6. 单击 “确定” 两次接受更改并返回到 Internet Explorer。

    注意 添加任何你信任的站点,这些站点不会对系统执行恶意操作。 特别要添加的两个是 *.windowsupdate.microsoft.com*.update.microsoft.com。 这些站点将托管更新,需要 ActiveX 控件才能安装更新。

     

  • 将 Internet Explorer 配置为在运行活动脚本之前进行提示,或者在 Internet 和本地 Intranet 安全区域中禁用活动脚本

    可以通过将设置更改为在运行活动脚本之前提示或在 Internet 和本地 Intranet 安全区域中禁用活动脚本,来帮助防止利用此漏洞。 为此,请执行下列步骤:

    1. 在 Internet Explorer 中,单击“工具”菜单上的“Internet 选项”。
    2. 单击“安全”选项卡。
    3. 单击“ Internet”,然后单击“ 自定义级别”。
    4. “设置”下的 “脚本” 部分的“ 活动脚本”下,单击“ 提示 ”或“ 禁用”,然后单击“ 确定”。
    5. 单击“ 本地 Intranet”,然后单击“ 自定义级别”。
    6. “设置”下的 “脚本” 部分的“ 活动脚本”下,单击“ 提示 ”或“ 禁用”,然后单击“ 确定”。
    7. 单击 “确定” 两次以返回到 Internet Explorer。

    注意 在 Internet 和本地 Intranet 安全区域中禁用活动脚本可能会导致某些网站无法正常工作。 如果在更改此设置后使用网站时遇到困难,并且确信该网站是安全的,则可以将该网站添加到受信任的站点列表中。 这将允许网站正常工作。

    解决方法的影响。 在运行活动脚本之前提示存在副作用。 Internet 或 Intranet 上的许多网站使用活动脚本来提供其他功能。 例如,在线电子商务网站或银行网站可以使用活动脚本来提供菜单、订购表单甚至帐户对账单。 运行活动脚本前的提示是影响所有 Internet 和 Intranet 站点的全局设置。 启用此解决方法时,系统会频繁提示你。 对于每个提示,如果你认为信任正在访问的站点,请单击“ ”运行活动脚本。 如果不希望系统提示输入所有这些站点,请使用“将信任的站点添加到 Internet Explorer 受信任的站点区域”中所述的步骤。

    将信任的站点添加到 Internet Explorer 受信任的站点区域

    将 Internet Explorer 设置为在 Internet 区域和本地 Intranet 区域中运行 ActiveX 控件和活动脚本之前需要提示后,可以将信任的站点添加到 Internet Explorer 受信任的站点区域。 这将使你能够像现在一样继续使用受信任的网站,同时帮助保护你免受针对不受信任站点的这种攻击。 建议仅将信任的站点添加到“受信任的站点”区域。

    为此,请执行下列步骤:

    1. 在 Internet Explorer 中,依次单击“ 工具”、“ Internet 选项”和“ 安全 ”选项卡。
    2. “选择 Web 内容区域以指定其当前安全设置 ”框中,单击“ 受信任的站点”,然后单击“ 站点”。
    3. 如果要添加不需要加密通道的站点,请单击以清除“要求对此区域中所有站点进行服务器验证 (https:) ”框检查。
    4. “将此网站添加到区域 ”框中,键入信任的站点的 URL,然后单击“ 添加”。
    5. 对要添加到区域的每个站点重复这些步骤。
    6. 单击 “确定” 两次接受更改并返回到 Internet Explorer。

    注意 添加任何你信任的站点,这些站点不会对系统执行恶意操作。 特别要添加的两个是 *.windowsupdate.microsoft.com*.update.microsoft.com。 这些站点将托管更新,需要 ActiveX 控件才能安装更新。

Internet Explorer 释放后使用漏洞 - CVE-2012-4792 的常见问题解答

漏洞的范围是什么?
这是当前用户上下文中的远程代码执行漏洞。

导致漏洞的原因是什么?
当 Internet Explorer 尝试访问内存中尚未初始化或已删除的对象时,它可能会损坏内存,使攻击者可以在当前用户的上下文中执行任意代码。

攻击者可能利用漏洞执行哪些操作?
成功利用此漏洞的攻击者可以获得与当前用户相同的用户权限。 如果当前用户使用管理用户权限登录,则成功利用此漏洞的攻击者可以完全控制受影响的系统。 然后,攻击者可能会安装程序、查看更改项或删除数据,还可能会使用完全用户权限创建新的帐户。

攻击者如何利用此漏洞?
攻击者可能托管旨在通过 Internet Explorer 利用此漏洞的特制网站。 攻击者还可能利用遭到入侵的网站和接受或托管用户提供的内容或广告的网站。 这些网站可能包含可能利用此漏洞的特制内容。 但是,在所有情况下,攻击者都无法强制用户查看攻击者控制的内容。 相反,攻击者必须说服用户采取行动,通常是通过让用户单击电子邮件或 Instant Messenger 消息中的链接(将用户转到攻击者的网站),或者让他们打开通过电子邮件发送的附件。

哪些系统主要受到漏洞的威胁?
此漏洞要求用户登录并访问网站,才能发生任何恶意操作。 因此,任何经常使用 Internet Explorer 的系统(如工作站或终端服务器)受此漏洞影响的风险最大。

我运行的是适用于 Windows Server 2003、Windows Server 2008 或 Windows Server 2008 R2 的 Internet Explorer。 这是否缓解了此漏洞?
是的。 默认情况下,Windows Server 2003、Windows Server 2008 和 Windows Server 2008 R2 上的 Internet Explorer 在受限模式下运行,即 增强型安全配置。 增强的安全配置是 Internet Explorer 中的一组预配置设置,可降低用户或管理员在服务器上下载和运行特制 Web 内容的可能性。 对于尚未添加到 Internet Explorer 受信任的站点区域的网站,这是一个缓解因素。

EMET 是否有助于缓解试图利用此漏洞的攻击?
是的。 增强的缓解体验工具包 (EMET) 通过添加额外的保护层来帮助减少此漏洞的利用,使漏洞更难被利用。 EMET 是一种实用工具,它通过应用最新的安全缓解技术,帮助防止软件中的漏洞成功用于代码执行。 目前,EMET 提供有限的支持,并且仅提供英语。 有关详细信息,请参阅 Microsoft 知识库文章2458544

什么是增强的缓解体验工具包 v3.0 (EMET) ?
增强的缓解体验工具包 (EMET) 是一个实用工具,可帮助防止软件中的漏洞被成功利用。 EMET 通过使用安全缓解技术来实现此目的。 这些技术充当攻击作者为了利用软件漏洞而必须克服的特殊保护和障碍。 这些安全缓解技术不保证漏洞不能被利用,而是努力使利用尽可能难以实现。 在许多情况下,可能永远不会开发可以绕过 EMET 的全功能攻击。 有关详细信息,请参阅 Microsoft 知识库文章2458544

更新的作用是什么?
此更新通过修改 Internet Explorer 处理内存中对象的方式来解决漏洞。

发布此安全公告时,是否已公开披露此漏洞?
是的。 此漏洞已公开披露。 已为其分配了常见漏洞和披露 CVE-2012-4792Microsoft 安全咨询2794220中首先描述了此漏洞。

发布此安全公告时,Microsoft 是否收到任何有关此漏洞被利用的报告?
是的。 Microsoft 已注意到尝试通过 Internet Explorer 8 利用此漏洞的定向攻击。

更新信息

检测和部署工具和指南

Security Central

管理部署到组织中的服务器、桌面和移动系统所需的软件和安全更新。 有关详细信息,请参阅 TechNet 更新管理中心Microsoft TechNet 安全网站提供有关 Microsoft 产品安全性的其他信息。

安全更新可从 Microsoft 更新Windows 更新获取。 Microsoft 下载中心也提供安全更新。 可以通过执行关键字 (keyword) 搜索“安全更新”来最轻松地找到它们。

最后,可以从 Microsoft 更新目录下载安全更新。 Microsoft 更新目录提供通过 Windows 更新 和 Microsoft 更新提供的内容的可搜索目录,包括安全更新、驱动程序和 Service Pack。 通过使用安全公告号 ((如“MS12-001”) )进行搜索,可以将所有适用的更新添加到购物篮 (包括更新) 的不同语言,并下载到所选文件夹。 有关 Microsoft 更新目录的详细信息,请参阅 Microsoft 更新目录常见问题解答

检测和部署指南

Microsoft 提供安全更新的检测和部署指南。 本指南包含可帮助 IT 专业人员了解如何使用各种工具来检测和部署安全更新的建议和信息。 有关详细信息,请参阅 Microsoft 知识库文章961747

Microsoft 基准安全分析器

Microsoft 基线安全分析器 (MBSA) 允许管理员扫描本地和远程系统以查找缺少的安全更新以及常见的安全配置错误。 有关详细信息,请参阅 Microsoft 基线安全分析器

下表提供了此安全更新的 MBSA 检测摘要。

软件 MBSA
Windows XP Service Pack 3
Windows XP Professional x64 Edition Service Pack 2
Windows Server 2003 Service Pack 2
Windows Server 2003 x64 Edition Service Pack 2
Windows Server 2003 SP2(适用于基于 Itanium 的系统)
Windows Vista Service Pack 2
Windows Vista x64 Edition Service Pack 2
Windows Server 2008 for 32 位系统 Service Pack 2
Windows Server 2008 for x64 系统 Service Pack 2
Windows Server 2008 for Itanium-based Systems Service Pack 2
适用于 32 位系统的 Windows 7 和适用于 32 位系统的 Windows 7 Service Pack 1
Windows 7(适用于基于 x64 的系统)和 Windows 7(适用于基于 x64 的系统)Service Pack 1
Windows Server 2008 R2(适用于基于 x64 的系统)和 Windows Server 2008 R2(适用于基于 x64 的系统)Service Pack 1
Windows Server 2008 R2 for Itanium based Systems 和 Windows Server 2008 R2 for Itanium-based Systems Service Pack 1

注意对于使用最新版本 MBSA、Microsoft 更新和Windows Server Update Services不支持的旧版软件的客户,请参阅 Microsoft 基线安全分析器并参考旧版产品支持部分,了解如何使用旧版工具创建全面的安全更新检测。

Windows Server Update Services

Windows Server Update Services (WSUS) 使信息技术管理员能够将最新的 Microsoft 产品更新部署到运行 Windows 操作系统的计算机。 有关如何使用 Windows Server Update Services 部署安全更新的详细信息,请参阅 TechNet 文章Windows Server Update Services

Systems Management Server

下表提供了此安全更新的短信检测和部署摘要。

软件 包含 ITMU 的 SMS 2003 System Center Configuration Manager (所有受支持的版本)
Windows XP Service Pack 3
Windows XP Professional x64 Edition Service Pack 2
Windows Server 2003 Service Pack 2
Windows Server 2003 x64 Edition Service Pack 2
Windows Server 2003 SP2(适用于基于 Itanium 的系统)
Windows Vista Service Pack 2
Windows Vista x64 Edition Service Pack 2
Windows Server 2008 for 32 位系统 Service Pack 2
适用于基于 x64 的系统 Service Pack 2 的 Windows Server 2008
Windows Server 2008 for Itanium-based Systems Service Pack 2
适用于 32 位系统的 Windows 7 和适用于 32 位系统的 Windows 7 Service Pack 1
Windows 7(适用于基于 x64 的系统)和 Windows 7(适用于基于 x64 的系统 Service Pack 1)
Windows Server 2008 R2(适用于基于 x64 的系统)和 Windows Server 2008 R2(适用于基于 x64 的系统)Service Pack 1
Windows Server 2008 R2 for Itanium based Systems 和 Windows Server 2008 R2 for Itanium based Systems Service Pack 1

注意 Microsoft 已于 2011 年 4 月 12 日停止对 SMS 2.0 的支持。 对于 SMS 2003,Microsoft 还于 2011 年 4 月 12 日停止了对安全更新清单工具 (SUIT) 的支持。 建议客户升级到 System Center Configuration Manager。 对于仍使用 SMS 2003 Service Pack 3 的客户,也可以使用适用于 Microsoft 汇报 (ITMU) 的清单工具。

对于 SMS 2003,SMS 可以使用 SMS 2003 Inventory Tool for Microsoft 汇报 (ITMU) 来检测 Microsoft 更新提供的安全更新以及Windows Server Update Services支持的安全更新。 有关 SMS 2003 ITMU 的详细信息,请参阅 SMS 2003 Inventory Tool for Microsoft 汇报。 有关短信扫描工具的详细信息,请参阅 SMS 2003 软件更新扫描工具。 另请参阅 Systems Management Server 2003 的下载

System Center Configuration Manager使用 WSUS 3.0 检测更新。 有关详细信息,请参阅 System Center

有关详细信息,请参阅 Microsoft 知识库文章910723:每月检测和部署指南文章的摘要列表。

更新兼容性计算器和应用程序兼容性工具包

汇报通常写入应用程序运行所需的相同文件和注册表设置。 这可能导致不兼容,并增加部署安全更新所需的时间。 可以使用应用程序兼容性工具包随附的 更新兼容性计算器 组件简化针对已安装应用程序的测试和验证 Windows 更新

应用程序兼容性工具包 (ACT) 包含必要的工具和文档,用于在环境中部署 Windows Vista、Windows 更新、Microsoft 安全更新或新版本的 Windows Internet Explorer 之前评估和缓解应用程序兼容性问题。

安全更新部署

受影响的软件

有关受影响软件的特定安全更新的信息,请单击相应的链接:

Windows XP (所有版本)

引用表

下表包含此软件的安全更新信息。 可以在本部分的“ 部署信息”子部分中找到其他信息。

包含在将来的 Service Pack 中 此问题的更新将包含在将来的 Service Pack 或更新汇总中
部署
无需用户干预即可安装 适用于所有受支持的 32 位版本的 Windows XP 的 Internet Explorer 6:\ WindowsXP-KB2799329-x86-ENU.exe /quiet
适用于所有受支持的基于 x64 的 Windows XP 版本的 Internet Explorer 6:\ WindowsServer2003.WindowsXP-KB2799329-x64-ENU.exe /quiet
适用于所有受支持的 32 位版本的 Windows XP 的 Internet Explorer 7:\ IE7-WindowsXP-KB2799329-x86-ENU.exe /quiet
适用于所有受支持的基于 x64 的 Windows XP 版本的 Internet Explorer 7:\ IE7-WindowsServer2003.WindowsXP-KB2799329-x64-ENU.exe /quiet
适用于所有受支持的 32 位版本的 Windows XP 的 Internet Explorer 8:\ IE8-WindowsXP-KB2799329-x86-ENU.exe /quiet
适用于所有受支持的基于 x64 的 Windows XP 版本的 Internet Explorer 8:\ IE8-WindowsServer2003.WindowsXP-KB2799329-x64-ENU.exe /quiet
在不重启的情况下安装 适用于所有受支持的 32 位版本的 Windows XP 的 Internet Explorer 6:\ WindowsXP-KB2799329-x86-ENU.exe /norestart
适用于所有受支持的基于 x64 的 Windows XP 版本的 Internet Explorer 6:\ WindowsServer2003.WindowsXP-KB2799329-x64-ENU.exe /norestart
适用于所有受支持的 32 位版本的 Windows XP 的 Internet Explorer 7:\ IE7-WindowsXP-KB2799329-x86-ENU.exe /norestart
适用于所有受支持的基于 x64 的 Windows XP 版本的 Internet Explorer 7:\ IE7-WindowsServer2003.WindowsXP-KB2799329-x64-ENU.exe /norestart
适用于所有受支持的 32 位版本的 Windows XP 的 Internet Explorer 8:\ IE8-WindowsXP-KB2799329-x86-ENU.exe /norestart
适用于所有受支持的基于 x64 的 Windows XP 版本的 Internet Explorer 8:\ IE8-WindowsServer2003.WindowsXP-KB2799329-x64-ENU.exe /norestart
更新日志文件 适用于所有受支持的 Windows XP 版本的 Internet Explorer 6:\ KB2799329.log
适用于所有受支持的 Windows XP 版本的 Internet Explorer 7:\ KB2799329-IE7.log
适用于所有受支持的 Windows XP 版本的 Internet Explorer 8:\ KB2799329-IE8.log
更多信息 请参阅子部分 检测和部署工具及指南
重启要求
需要重启? 是的,应用此安全更新后必须重启系统。
热修补 不适用
删除信息 Internet Explorer 6 适用于所有受支持的 Windows XP 版本:\ 使用 控制面板 中的“添加或删除程序”项或位于 %Windir%$NTUninstallKB 2799329$\Spuninst 文件夹中的 Spuninst.exe 实用工具
Internet Explorer 7 适用于所有受支持的 Windows XP 版本:\ 使用 控制面板 中的添加或删除程序项或位于 %Windir%\ie7updates\KB2799329-IE7\spuninst 文件夹中的 Spuninst.exe 实用工具
Internet Explorer 8 适用于所有受支持的 Windows XP 版本:\ 使用 控制面板 中的“添加或删除程序”项或位于 %Windir%\ie8updates\KB2799329-IE8\spuninst 文件夹中的 Spuninst.exe 实用工具
文件信息 请参阅 Microsoft 知识库文章2799329
注册表项验证 适用于所有受支持的 32 位版本的 Windows XP 的 Internet Explorer 6:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows XP\SP4\KB2799329\Filelist
适用于所有受支持的基于 x64 的 Windows XP 版本的 Internet Explorer 6:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows XP Version 2003\SP3\KB2799329\Filelist
适用于所有受支持的 32 位版本的 Windows XP 的 Internet Explorer 7:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows XP\SP0\KB2799329-IE7\Filelist
适用于所有受支持的基于 x64 的 Windows XP 版本的 Internet Explorer 7:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows XP Version 2003\SP0\KB2799329-IE7\Filelist
适用于所有受支持的 32 位版本的 Windows XP 的 Internet Explorer 8:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows XP\SP0\KB2799329-IE8\Filelist
适用于所有受支持的基于 x64 的 Windows XP 版本的 Internet Explorer 8:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows XP Version 2003\SP0\KB2799329-IE8\Filelist

注意 Windows XP Professional x64 Edition 受支持版本的更新也适用于 Windows Server 2003 x64 Edition 的支持版本。

部署信息

安装更新

安装此安全更新时,安装程序会检查系统上正在更新的一个或多个文件是否以前已由 Microsoft 修补程序更新。

如果以前安装了修补程序来更新其中一个文件,安装程序会将 RTMQFE、SP1QFE 或 SP2QFE 文件复制到系统。 否则,安装程序会将 RTMGDR、SP1GDR 或 SP2GDR 文件复制到系统。 安全更新可能不包含这些文件的所有变体。 有关此行为的详细信息,请参阅 Microsoft 知识库文章824994

有关安装程序的详细信息,请参阅 Microsoft 知识库文章 832475

有关此公告中显示的术语(例如 修补程序)的详细信息,请参阅 Microsoft 知识库文章824684

此安全更新支持以下设置开关。

开关 说明
/help 显示命令行选项。
安装模式
/passive 无人参与安装模式。 无需用户交互,但显示安装状态。 如果在安装程序结束时需要重启,则会向用户显示一个对话框,并显示一个计时器警告,指出计算机将在 30 秒后重启。
/quiet 静默模式。 这与无人参与模式相同,但不显示状态或错误消息。
重启选项
/norestart 安装完成后不重启。
/forcerestart 安装后重新启动计算机,并强制其他应用程序在关闭时关闭,而无需先保存打开的文件。
/warnrestart[:x] 显示一个对话框,其中包含一个计时器,警告用户计算机将在 x 秒内重启。 (默认设置为 30 秒。) 适用于 /quiet 开关或 /passive 开关。
/promptrestart 显示一个对话框,提示本地用户允许重启。
特殊选项
/overwriteoem 在不提示的情况下覆盖 OEM 文件。
/nobackup 不备份卸载所需的文件。
/forceappsclose 在计算机关闭时强制关闭其他程序。
/log:path 允许重定向安装日志文件。
/integrate:path 将更新集成到 Windows 源文件中。 这些文件位于交换机中指定的路径上。
/extract[:p ath] 在不启动安装程序的情况下提取文件。
/二 启用扩展错误报告。
/verbose 启用详细日志记录。 在安装过程中,创建 %Windir%\CabBuild.log。 此日志详细介绍了复制的文件。 使用此开关可能会导致安装过程更慢。

注意 可以将这些开关合并到一个命令中。 为了向后兼容,安全更新还支持早期版本的安装程序使用的安装开关。 有关支持的安装开关的详细信息,请参阅 Microsoft 知识库文章262841

删除更新

此安全更新支持以下安装开关。

开关 说明
/help 显示命令行选项。
安装模式
/passive 无人参与安装模式。 无需用户交互,但显示安装状态。 如果在安装程序结束时需要重启,则会向用户显示一个对话框,并显示一个计时器警告,指出计算机将在 30 秒后重启。
/quiet 静默模式。 这与无人参与模式相同,但不显示状态或错误消息。
重新启动选项
/norestart 安装完成后不重启
/forcerestart 安装后重新启动计算机,并强制其他应用程序在关闭时关闭,而无需先保存打开的文件。
/warnrestart[:x] 显示一个对话框,其中包含一个计时器,警告用户计算机将在 x 秒内重启。 (默认设置为 30 秒。) 适用于 /quiet 开关或 /passive 开关。
/promptrestart 显示一个对话框,提示本地用户允许重启。
特殊选项
/forceappsclose 在计算机关闭时强制关闭其他程序。
/log:path 允许重定向安装日志文件。

验证是否已应用更新

  • Microsoft 基准安全分析器

    若要验证安全更新是否已应用于受影响的系统,可以使用 Microsoft 基线安全分析器 (MBSA) 工具。 有关详细信息,请参阅本公告前面的 检测和部署工具和指南部分。

  • 文件版本验证

    由于 Microsoft Windows 有多个版本,因此系统上的以下步骤可能有所不同。 如果是,请参阅产品文档以完成这些步骤。

    1. 单击“ 开始”,然后单击“ 搜索”。
    2. “搜索结果”窗格中,单击“搜索助手”下的“所有文件和文件夹”。
    3. 在“ 全部或部分文件名 ”框中,键入相应文件信息表中的文件名,然后单击“ 搜索”。
    4. 在文件列表中,右键单击相应文件信息表中的文件名,然后单击“ 属性”。
      注意 根据操作系统的版本或系统上安装的程序,可能无法安装文件信息表中列出的某些文件。
    5. 在“ 版本 ”选项卡上,通过将安装在系统上的文件的版本与相应文件信息表中记录的版本进行比较来确定该文件的版本。
      注意 在安装过程中,除文件版本以外的属性可能会更改。 将其他文件属性与文件信息表中的信息进行比较不是验证是否已应用更新的受支持的方法。 此外,在某些情况下,文件可能会在安装过程中重命名。 如果文件或版本信息不存在,请使用其他可用方法之一来验证更新安装。
  • 注册表项验证

    还可以通过查看本部分中 的参考表 中列出的注册表项来验证此安全更新已安装的文件。

    这些注册表项可能不包含已安装文件的完整列表。 此外,当管理员或 OEM 将此安全更新集成或滑入 Windows 安装源文件时,可能无法正确创建这些注册表项。

Windows Server 2003 (所有版本)

引用表

下表包含此软件的安全更新信息。 可以在本部分的 “部署信息”小节中找到其他信息。

包含在将来的 ServicePack 中 此问题的更新将包含在将来的 Service Pack 或更新汇总中
部署
无需用户干预即可安装 适用于所有受支持的 32 位版本的 Windows Server 2003 的 Internet Explorer 6:\ WindowsServer2003-KB2799329-x86-ENU.exe /quiet
适用于所有受支持的基于 x64 的 Windows Server 2003 版本的 Internet Explorer 6:\ WindowsServer2003.WindowsXP-KB2799329-x64-ENU.exe /quiet
适用于所有受支持的基于 Itanium 的 Windows Server 2003 版本的 Internet Explorer 6:\ WindowsServer2003-KB2799329-ia64-ENU.exe /quiet
适用于所有受支持的 32 位版本的 Windows Server 2003 的 Internet Explorer 7:\ IE7-WindowsServer2003-KB2799329-x86-ENU.exe /quiet
适用于所有受支持的基于 x64 的 Windows Server 2003 版本的 Internet Explorer 7:\ IE7-WindowsServer2003.WindowsXP-KB2799329-x64-ENU.exe /quiet
适用于所有受支持的基于 Itanium 的 Windows Server 2003 版本的 Internet Explorer 7:\ IE7-WindowsServer2003-KB2799329-ia64-ENU.exe /quiet
适用于所有受支持的 32 位版本的 Windows Server 2003 的 Internet Explorer 8:\ IE8-WindowsServer2003-KB2799329-x86-ENU.exe /quiet
适用于所有受支持的基于 x64 的 Windows Server 2003 版本的 Internet Explorer 8:\ IE8-WindowsServer2003.WindowsXP-KB2799329-x64-ENU.exe /quiet
在不重启的情况下安装 适用于所有受支持的 32 位版本的 Windows Server 2003 的 Internet Explorer 6:\ WindowsServer2003-KB2799329-x86-ENU.exe /norestart
适用于所有受支持的基于 x64 的 Windows Server 2003 版本的 Internet Explorer 6:\ WindowsServer2003.WindowsXP-KB2799329-x64-ENU.exe /norestart
适用于所有受支持的基于 Itanium 的 Windows Server 2003 版本的 Internet Explorer 6:\ WindowsServer2003-KB2799329-ia64-ENU.exe /norestart
适用于所有受支持的 32 位版本的 Windows Server 2003 的 Internet Explorer 7:\ IE7-WindowsServer2003-KB2799329-x86-ENU.exe /norestart
适用于所有受支持的基于 x64 的 Windows Server 2003 版本的 Internet Explorer 7:\ IE7-WindowsServer2003.WindowsXP-KB2799329-x64-ENU.exe /norestart
适用于所有受支持的基于 Itanium 的 Windows Server 2003 版本的 Internet Explorer 7:\ IE7-WindowsServer2003-KB2799329-ia64-ENU.exe /norestart
适用于所有受支持的 32 位版本的 Windows Server 2003 的 Internet Explorer 8:\ IE8-WindowsServer2003-KB2799329-x86-ENU.exe /norestart
适用于所有受支持的基于 x64 的 Windows Server 2003 版本的 Internet Explorer 8:\ IE8-WindowsServer2003.WindowsXP-KB2799329-x64-ENU.exe /norestart
更新日志文件 Internet Explorer 6 适用于所有受支持的 32 位版本、基于 x64 的版本和基于 Itanium 的 Windows Server 2003 版本:\ KB2799329.log
Internet Explorer 7 适用于所有受支持的 32 位版本、基于 x64 的版本和基于 Itanium 的 Windows Server 2003 版本:\ KB2799329-IE7.log
Internet Explorer 8 适用于所有受支持的 32 位版本和基于 x64 的 Windows Server 2003 版本:\ KB2799329-IE8.log
更多信息 请参阅子部分 检测和部署工具及指南
重启要求
需要重启? 是的,应用此安全更新后必须重启系统。
热修补 此安全更新不支持热修补。 有关热补丁的详细信息,请参阅 Microsoft 知识库文章897341
删除信息 Internet Explorer 6 适用于所有受支持的 32 位版本、基于 x64 的版本和基于 Itanium 的 Windows Server 2003 版本:\ 使用 控制面板 中的“添加或删除程序”项,或使用位于 %Windir%$NTUninstallKB 2799329$\Spuninst 文件夹中的“使用 Spuninst.exe 实用工具”中的 Spuninst.exe 实用工具
Internet Explorer 7 适用于所有受支持的 32 位版本、基于 x64 的版本和基于 Itanium 的 Windows Server 2003 版本:\ 在 控制面板 或位于 %Windir%\ie7updates\KB2799329-IE7\spuninst 文件夹中的 Spuninst.exe 实用工具中使用添加或删除程序
Internet Explorer 8 适用于所有受支持的 32 位版本和基于 x64 的 Windows Server 2003 版本:\ 使用 控制面板 中的添加或删除程序项或位于 %Windir%\ie8updates\KB2799329-IE8\spuninst 文件夹中的 Spuninst.exe 实用工具
文件信息 请参阅 Microsoft 知识库文章2799329
注册表项验证 Internet Explorer 6 适用于所有受支持的 32 位版本、基于 x64 的版本和基于 Itanium 的 Windows Server 2003 版本:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows Server 2003\SP3\KB2799329\Filelist
Internet Explorer 7 适用于所有受支持的 32 位版本、基于 x64 的版本和基于 Itanium 的 Windows Server 2003 版本:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows Server 2003\SP0\KB2799329-IE7\Filelist
适用于所有受支持的 32 位版本和基于 x64 的 Windows Server 2003 版本的 Internet Explorer 8:\ HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows Server 2003\SP0\KB2799329-IE8\Filelist

注意 Windows Server 2003 x64 Edition 受支持版本的更新也适用于受支持的 Windows XP Professional x64 版本。

部署信息

安装更新

安装此安全更新时,安装程序会检查系统上正在更新的一个或多个文件是否以前已由 Microsoft 修补程序更新。

如果以前安装了修补程序来更新其中一个文件,安装程序会将 RTMQFE、SP1QFE 或 SP2QFE 文件复制到系统。 否则,安装程序会将 RTMGDR、SP1GDR 或 SP2GDR 文件复制到系统。 安全更新可能不包含这些文件的所有变体。 有关此行为的详细信息,请参阅 Microsoft 知识库文章824994

有关安装程序的详细信息,请参阅 Microsoft 知识库文章 832475

有关此公告中显示的术语(例如 修补程序)的详细信息,请参阅 Microsoft 知识库文章824684

此安全更新支持以下设置开关。

开关 说明
/help 显示命令行选项。
安装模式
/passive 无人参与安装模式。 无需用户交互,但显示安装状态。 如果在安装程序结束时需要重启,则会向用户显示一个对话框,并显示计时器警告,指出计算机将在 30 秒后重启。
/quiet 静默模式。 这与无人参与模式相同,但不显示状态或错误消息。
重新启动选项
/norestart 安装完成后不重启。
/forcerestart 安装后重新启动计算机,并强制其他应用程序在关闭时关闭,而不首先保存打开的文件。
/warnrestart[:x] 显示一个对话框,其中包含一个计时器,警告用户计算机将在 x 秒内重启。 (默认设置为 30 秒。) 适用于 /quiet 开关或 /passive 开关。
/promptrestart 显示一个对话框,提示本地用户允许重启。
特殊选项
/overwriteoem 在不提示的情况下覆盖 OEM 文件。
/nobackup 不备份卸载所需的文件。
/forceappsclose 在计算机关闭时强制关闭其他程序。
/log:path 允许重定向安装日志文件。
/integrate:path 将更新集成到 Windows 源文件中。 这些文件位于开关中指定的路径。
/extract[:p ath] 在不启动安装程序的情况下提取文件。
/二 启用扩展错误报告。
/verbose 启用详细日志记录。 在安装过程中,创建 %Windir%\CabBuild.log。 此日志详细说明了复制的文件。 使用此开关可能会导致安装过程更慢。

注意 可以将这些开关合并到一个命令中。 为了向后兼容,安全更新还支持早期版本的安装程序使用的许多安装开关。 有关支持的安装开关的详细信息,请参阅 Microsoft 知识库文章262841

删除更新

此安全更新支持以下设置开关。

开关 说明
/help 显示命令行选项。
安装模式
/passive 无人参与安装模式。 无需用户交互,但显示安装状态。 如果在安装程序结束时需要重启,则会向用户显示一个对话框,并显示计时器警告,指出计算机将在 30 秒后重启。
/quiet 静默模式。 这与无人参与模式相同,但不显示状态或错误消息。
重新启动选项
/norestart 安装完成后不重启。
/forcerestart 安装后重新启动计算机,并强制其他应用程序在关闭时关闭,而不首先保存打开的文件。
/warnrestart[:x] 显示一个对话框,其中包含一个计时器,警告用户计算机将在 x 秒内重启。 (默认设置为 30 秒。) 适用于 /quiet 开关或 /passive 开关。
/promptrestart 显示一个对话框,提示本地用户允许重启。
特殊选项
/forceappsclose 在计算机关闭时强制关闭其他程序。
/log:path 允许重定向安装日志文件。

验证是否已应用更新

  • Microsoft 基准安全分析器

    若要验证是否已将安全更新应用于受影响的系统,可以使用 Microsoft 基线安全分析器 (MBSA) 工具。 有关详细信息,请参阅本公告前面的 检测和部署工具和指南部分。

  • 文件版本验证

    由于 Microsoft Windows 有多个版本,因此你的系统上的以下步骤可能有所不同。 如果是,请参阅产品文档以完成这些步骤。

    1. 单击 “开始”,然后单击“ 搜索”。
    2. “搜索结果”窗格中,单击“搜索助手”下的“所有文件和文件夹”。
    3. 在“ 全部或部分文件名 ”框中,键入相应文件信息表中的文件名,然后单击“ 搜索”。
    4. 在文件列表中,右键单击相应文件信息表中的文件名,然后单击“ 属性”。
      注意 根据操作系统的版本或系统上安装的程序,可能无法安装文件信息表中列出的某些文件。
    5. 在“ 版本 ”选项卡上,通过将安装在系统上的文件的版本与相应文件信息表中记录的版本进行比较来确定该文件的版本。
      注意 除文件版本以外的属性可能会在安装过程中更改。 不支持将其他文件属性与文件信息表中的信息进行比较来验证是否已应用更新。 此外,在某些情况下,文件可能会在安装过程中重命名。 如果文件或版本信息不存在,请使用其他可用方法之一来验证更新安装。
  • 注册表项验证

    还可以通过查看本部分中 的参考表 中列出的注册表项来验证此安全更新已安装的文件。

    这些注册表项可能不包含已安装文件的完整列表。 此外,当管理员或 OEM 将此安全更新集成或滑入 Windows 安装源文件时,可能无法正确创建这些注册表项。

Windows Vista (所有版本)

引用表

下表包含此软件的安全更新信息。 可以在本部分的“ 部署信息”子部分中找到其他信息。

包含在将来的 ServicePack 中 此问题的更新将包含在将来的 Service Pack 或更新汇总中
部署
无需用户干预即可安装 所有受支持的 32 位版本的 Windows Vista 中的 Internet Explorer 7:\ Windows6.0-KB2799329-x86.msu /quiet
所有受支持的基于 x64 的 Windows Vista 版本的 Internet Explorer 7:\ Windows6.0-KB2799329-x64.msu /quiet
所有受支持的 32 位版本的 Windows Vista 中的 Internet Explorer 8:\ IE8-Windows6.0-KB2799329-x86.msu /quiet
所有受支持的基于 x64 的 Windows Vista 版本中的 Internet Explorer 8:\ IE8-Windows6.0-KB2799329-x64.msu /quiet
在不重启的情况下安装 所有受支持的 32 位 Windows Vista 版本的 Internet Explorer 7:\ Windows6.0-KB2799329-x86.msu /quiet /norestart
所有受支持的基于 x64 的 Windows Vista 版本中的 Internet Explorer 7:\ Windows6.0-KB2799329-x64.msu /quiet /norestart
所有受支持的 32 位版本的 Windows Vista 中的 Internet Explorer 8:\ IE8-Windows6.0-KB2799329-x86.msu /quiet /norestart
所有受支持的基于 x64 的 Windows Vista 版本中的 Internet Explorer 8:\ IE8-Windows6.0-KB2799329-x64.msu /quiet /norestart
更多信息 请参阅子部分 检测和部署工具及指南
重启要求
需要重启? 是的,应用此安全更新后必须重启系统。
热修补 不适用
删除信息 WUSA.exe 不支持卸载更新。 若要卸载由 WUSA 安装的更新,请单击“控制面板”,然后单击“安全性”。 在“Windows 更新”下,单击“查看已安装的更新”,然后从更新列表中选择。
文件信息 请参阅 Microsoft 知识库文章2799329
注册表项验证 注意 不存在用于验证是否存在此更新的注册表项。

部署信息

安装更新

安装此安全更新时,安装程序会检查系统上正在更新的一个或多个文件是否以前已由 Microsoft 修补程序更新。

有关此公告中显示的术语(例如 修补程序)的详细信息,请参阅 Microsoft 知识库文章824684

此安全更新支持以下设置开关。

开关 说明
/?、/h、/help 显示有关支持的交换机的帮助。
/quiet 禁止显示状态或错误消息。
/norestart /quiet 结合使用时,即使需要重启才能完成安装,系统也不会在安装后重启。

注意 有关 wusa.exe 安装程序的详细信息,请参阅 Microsoft 知识库文章934307

验证是否已应用更新

  • Microsoft 基准安全分析器

    若要验证是否已将安全更新应用于受影响的系统,可以使用 Microsoft 基线安全分析器 (MBSA) 工具。 有关详细信息,请参阅本公告前面的 检测和部署工具和指南部分。

  • 文件版本验证

    由于 Microsoft Windows 有多个版本,因此系统上的以下步骤可能有所不同。 如果是,请参阅产品文档以完成这些步骤。

    1. 单击“ 开始 ”,然后在“ 开始搜索 ”框中输入更新文件名。
    2. 当文件显示在 “程序”下时,右键单击文件名,然后单击“ 属性”。
    3. 在“ 常规 ”选项卡上,将文件大小与公告知识库文章中提供的文件信息表进行比较。
      注意 根据操作系统的版本或系统上安装的程序,可能无法安装文件信息表中列出的某些文件。
    4. 还可以单击“ 详细信息 ”选项卡,将信息(如文件版本和修改日期)与公告知识库文章中提供的文件信息表进行比较。
      注意 在安装过程中,除文件版本以外的属性可能会更改。 将其他文件属性与文件信息表中的信息进行比较不是验证是否已应用更新的受支持的方法。 此外,在某些情况下,文件可能会在安装过程中重命名。 如果文件或版本信息不存在,请使用其他可用方法之一来验证更新安装。
    5. 最后,还可以单击“ 早期版本 ”选项卡,将文件的以前版本的文件信息与新版或更新的文件版本的文件信息进行比较。

Windows Server 2008(所有版本)

引用表

下表包含此软件的安全更新信息。 可以在本部分的 “部署信息”小节中找到其他信息。

包含在将来的 Service Pack 中 此问题的更新将包含在将来的 Service Pack 或更新汇总中
部署
无需用户干预即可安装 Internet Explorer 7 在所有受支持的 32 位版本的 Windows Server 2008:\ Windows6.0-KB2799329-x86.msu /quiet
所有受支持的基于 x64 的 Windows Server 2008 版本中的 Internet Explorer 7:\ Windows6.0-KB2799329-x64.msu /quiet
所有受支持的基于 Itanium 的 Windows Server 2008 版本中的 Internet Explorer 7:\ Windows6.0-KB2799329-ia64.msu /quiet
Internet Explorer 8 在所有受支持的 32 位 Windows Server 2008 版本中:\ IE8-Windows6.0-KB2799329-x86.msu /quiet
Internet Explorer 8 在所有受支持的基于 x64 的 Windows Server 2008 版本中:\ IE8-Windows6.0-KB2799329-x64.msu /quiet
在不重启的情况下进行安装 Internet Explorer 7 在所有受支持的 32 位版本的 Windows Server 2008:\ Windows6.0-KB2799329-x86.msu /quiet /norestart
所有受支持的基于 x64 的 Windows Server 2008 版本中的 Internet Explorer 7:\ Windows6.0-KB2799329-x64.msu /quiet /norestart
所有受支持的基于 Itanium 的 Windows Server 2008 版本中的 Internet Explorer 7:\ Windows6.0-KB2799329-ia64.msu /quiet /norestart
Internet Explorer 8 在所有受支持的 32 位版本的 Windows Server 2008:\ IE8-Windows6.0-KB2799329-x86.msu /quiet /norestart
Internet Explorer 8 在所有受支持的基于 x64 的 Windows Server 2008 版本中:\ IE8-Windows6.0-KB2799329-x64.msu /quiet /norestart
更多信息 请参阅小节 检测和部署工具及指南
重启要求
需要重启? 是的,应用此安全更新后必须重启系统。
HotPatching 不适用。
删除信息 WUSA.exe 不支持卸载更新。 若要卸载由 WUSA 安装的更新,请单击“控制面板”,然后单击“安全性”。 在“Windows 更新”下,单击“查看已安装的更新”,然后从更新列表中选择。
文件信息 请参阅 Microsoft 知识库文章2799329
注册表项验证 注意 不存在用于验证此更新是否存在的注册表项。

部署信息

安装更新

安装此安全更新时,安装程序会检查系统上正在更新的一个或多个文件是否以前已由 Microsoft 修补程序更新。

有关此公告中显示的术语(例如 修补程序)的详细信息,请参阅 Microsoft 知识库文章824684

此安全更新支持以下安装开关。

开关 说明
/?、/h、/help 显示有关支持的交换机的帮助。
/quiet 禁止显示状态或错误消息。
/norestart /quiet 结合使用时,即使需要重启才能完成安装,系统也不会在安装后重启。

注意 有关 wusa.exe 安装程序的详细信息,请参阅 Microsoft 知识库文章934307

验证是否已应用更新

  • Microsoft 基准安全分析器

    若要验证安全更新是否已应用于受影响的系统,可以使用 Microsoft 基线安全分析器 (MBSA) 工具。 有关详细信息,请参阅本公告前面的 检测和部署工具和指南部分。

  • 文件版本验证

    由于 Microsoft Windows 有多个版本,因此系统上的以下步骤可能有所不同。 如果是,请参阅产品文档以完成这些步骤。

    1. 单击“ 开始 ”,然后在“ 开始搜索 ”框中输入更新文件名。
    2. 当文件显示在 “程序”下时,右键单击文件名,然后单击“ 属性”。
    3. 在“ 常规 ”选项卡上,将文件大小与公告知识库文章中提供的文件信息表进行比较。
      注意 根据操作系统的版本或系统上安装的程序,可能无法安装文件信息表中列出的某些文件。
    4. 还可以单击“ 详细信息 ”选项卡,将信息(如文件版本和修改日期)与公告知识库文章中提供的文件信息表进行比较。
      注意 在安装过程中,除文件版本以外的属性可能会更改。 将其他文件属性与文件信息表中的信息进行比较不是验证是否已应用更新的受支持的方法。 此外,在某些情况下,文件可能会在安装过程中重命名。 如果文件或版本信息不存在,请使用其他可用方法之一来验证更新安装。
    5. 最后,还可以单击“ 早期版本 ”选项卡,将文件的以前版本的文件信息与新版或更新的文件版本的文件信息进行比较。

Windows 7 (所有版本)

引用表

下表包含此软件的安全更新信息。 可以在本部分的 “部署信息”小节中找到其他信息。

包含在将来的 Service Pack 中 此问题的更新将包含在将来的 Service Pack 或更新汇总中
部署
无需用户干预即可安装 Internet Explorer 8 在所有受支持的 32 位版本的 Windows 7:\ Windows6.1-KB2799329-x86.msu /quiet
Internet Explorer 8 在所有受支持的基于 x64 的 Windows 7 版本:\ Windows6.1-KB2799329-x64.msu /quiet
在不重启的情况下进行安装 Internet Explorer 8 在所有受支持的 32 位版本的 Windows 7:\ Windows6.1-KB2799329-x86.msu /quiet /norestart
所有受支持的基于 x64 的 Windows 7 版本中的 Internet Explorer 8:\ Windows6.1-KB2799329-x64.msu /quiet /norestart
更多信息 请参阅小节 检测和部署工具及指南
重启要求
需要重启? 是的,应用此安全更新后必须重启系统。
HotPatching 不适用
删除信息 若要卸载 WUSA 安装的更新,请使用 /Uninstall 安装程序开关或单击“控制面板”,单击“系统和安全”,然后在“Windows 更新”下,单击“查看已安装的更新”,然后从更新列表中选择。
文件信息 请参阅 Microsoft 知识库文章2799329
注册表项验证 注意 不存在用于验证此更新是否存在的注册表项。

部署信息

安装更新

安装此安全更新时,安装程序会检查系统上正在更新的一个或多个文件是否以前已由 Microsoft 修补程序更新。

有关此公告中显示的术语(例如 修补程序)的详细信息,请参阅 Microsoft 知识库文章824684

此安全更新支持以下安装开关。

开关 说明
/?、/h、/help 显示有关支持的交换机的帮助。
/quiet 禁止显示状态或错误消息。
/norestart /quiet 结合使用时,即使需要重启才能完成安装,系统也不会在安装后重启。
/warnrestart:<seconds> /quiet 结合使用时,安装程序会在启动重启之前警告用户。
/promptrestart /quiet 结合使用时,安装程序将在启动重启前提示。
/forcerestart /quiet 结合使用时,安装程序将强制关闭应用程序并启动重启。
/log:<file name> 启用对指定文件的日志记录。
/extract:<destination> 将包内容提取到目标文件夹。
/uninstall /kb:<KB Number> 卸载安全更新。

注意有关 wusa.exe 安装程序的详细信息,请参阅 TechNet 文章 Windows 7 中的“Windows 更新独立安装程序”。

验证是否已应用更新

  • Microsoft 基准安全分析器

    若要验证安全更新是否已应用于受影响的系统,可以使用 Microsoft 基线安全分析器 (MBSA) 工具。 有关详细信息,请参阅本公告前面的 检测和部署工具和指南部分。

  • 文件版本验证

    由于 Microsoft Windows 有多个版本,因此系统上的以下步骤可能有所不同。 如果是,请参阅产品文档以完成这些步骤。

    1. 单击“ 开始 ”,然后在 “搜索 ”框中输入更新文件名。
    2. 当文件显示在 “程序”下时,右键单击文件名,然后单击“ 属性”。
    3. 在“ 常规 ”选项卡上,将文件大小与公告知识库文章中提供的文件信息表进行比较。
      注意 根据操作系统的版本或系统上安装的程序,可能无法安装文件信息表中列出的某些文件。
    4. 还可以单击“ 详细信息 ”选项卡,将信息(如文件版本和修改日期)与公告知识库文章中提供的文件信息表进行比较。
      注意 在安装过程中,除文件版本以外的属性可能会更改。 将其他文件属性与文件信息表中的信息进行比较不是验证是否已应用更新的受支持的方法。 此外,在某些情况下,文件可能会在安装过程中重命名。 如果文件或版本信息不存在,请使用其他可用方法之一来验证更新安装。
    5. 最后,还可以单击“ 早期版本 ”选项卡,将文件的以前版本的文件信息与新版或更新的文件版本的文件信息进行比较。

Windows Server 2008 R2(所有版本)

引用表

下表包含此软件的安全更新信息。 可以在本部分的 “部署信息”小节中找到其他信息。

包含在将来的 Service Pack 中 此问题的更新将包含在将来的 Service Pack 或更新汇总中
部署
无需用户干预即可安装 所有受支持的基于 x64 的 Windows Server 2008 R2 版本中的 Internet Explorer 8:\ Windows6.1-KB2799329-x64.msu /quiet
Internet Explorer 8 在所有受支持的基于 Itanium 的 Windows Server 2008 R2 版本:\ Windows6.1-KB2799329-ia64.msu /quiet
在不重启的情况下进行安装 所有受支持的基于 x64 的 Windows Server 2008 R2 版本中的 Internet Explorer 8:\ Windows6.1-KB2799329-x64.msu /quiet /norestart
所有受支持的基于 Itanium 的 Windows Server 2008 R2 版本中的 Internet Explorer 8:\ Windows6.1-KB2799329-ia64.msu /quiet /norestart
更多信息 请参阅小节 检测和部署工具及指南
重启要求
需要重启? 是的,应用此安全更新后必须重启系统。
HotPatching 不适用
删除信息 若要卸载 WUSA 安装的更新,请使用 /Uninstall 安装程序开关或单击“控制面板”,单击“系统和安全”,然后在“Windows 更新”下,单击“查看已安装的更新”,然后从更新列表中选择。
文件信息 请参阅 Microsoft 知识库文章2799329
注册表项验证 注意 不存在用于验证此更新是否存在的注册表项。

部署信息

安装更新

安装此安全更新时,安装程序会检查系统上正在更新的一个或多个文件是否以前已由 Microsoft 修补程序更新。

有关此公告中显示的术语(例如 修补程序)的详细信息,请参阅 Microsoft 知识库文章824684

此安全更新支持以下安装开关。

开关 说明
/?、/h、/help 显示有关支持的交换机的帮助。
/quiet 禁止显示状态或错误消息。
/norestart /quiet 结合使用时,即使需要重启才能完成安装,系统也不会在安装后重启。
/warnrestart:<seconds> /quiet 结合使用时,安装程序会在启动重启之前警告用户。
/promptrestart /quiet 结合使用时,安装程序将在启动重启前提示。
/forcerestart /quiet 结合使用时,安装程序将强制关闭应用程序并启动重启。
/log:<file name> 启用对指定文件的日志记录。
/extract:<destination> 将包内容提取到目标文件夹。
/uninstall /kb:<KB Number> 卸载安全更新。

注意有关 wusa.exe 安装程序的详细信息,请参阅 TechNet 文章 Windows 7 中的“Windows 更新独立安装程序”。

验证是否已应用更新

  • Microsoft 基准安全分析器

    若要验证安全更新是否已应用于受影响的系统,可以使用 Microsoft 基线安全分析器 (MBSA) 工具。 有关详细信息,请参阅本公告前面的 检测和部署工具和指南部分。

  • 文件版本验证

    由于 Microsoft Windows 有多个版本,因此系统上的以下步骤可能有所不同。 如果是,请参阅产品文档以完成这些步骤。

    1. 单击“ 开始 ”,然后在“ 开始搜索 ”框中输入更新文件名。
    2. 当文件显示在 “程序”下时,右键单击文件名,然后单击“ 属性”。
    3. 在“ 常规 ”选项卡上,将文件大小与公告知识库文章中提供的文件信息表进行比较。
      注意 根据操作系统的版本或系统上安装的程序,可能无法安装文件信息表中列出的某些文件。
    4. 还可以单击“ 详细信息 ”选项卡,将信息(如文件版本和修改日期)与公告知识库文章中提供的文件信息表进行比较。
      注意 在安装过程中,除文件版本以外的属性可能会更改。 将其他文件属性与文件信息表中的信息进行比较不是验证是否已应用更新的受支持的方法。 此外,在某些情况下,文件可能会在安装过程中重命名。 如果文件或版本信息不存在,请使用其他可用方法之一来验证更新安装。
    5. 最后,还可以单击“ 早期版本 ”选项卡,将文件的以前版本的文件信息与新版或更新的文件版本的文件信息进行比较。

其他信息

致谢

Microsoft 感谢 以下内容与我们合作,帮助保护客户:

  • 与我们在 Internet Explorer 上合作的 Exodus Intelligence 在释放漏洞后使用 (CVE-2012-4792)

Microsoft 主动保护计划 (MAPP)

为了改进客户的安全保护,Microsoft 在每个每月安全更新发布之前向主要安全软件提供商提供漏洞信息。 然后,安全软件提供商可以使用此漏洞信息通过其安全软件或设备(例如防病毒、基于网络的入侵检测系统或基于主机的入侵防护系统)为客户提供更新的保护。 若要确定安全软件提供商是否提供主动保护,请转到计划合作伙伴提供的活动保护网站,这些网站列在 Microsoft Active Protections Program (MAPP) 合作伙伴中。

支持

如何获取此安全更新的帮助和支持

免责声明

Microsoft 知识库中提供的信息“按原样”提供,不提供任何形式的担保。 Microsoft 否认所有明示或默示的担保,包括适销性和特定用途适用性的保证。 在任何情况下,Microsoft Corporation 或其供应商均不对任何损害负责,包括直接、间接、附带、后果性、业务利润损失或特殊损害,即使 Microsoft Corporation 或其供应商已被告知此类损害的可能性。 一些州不允许排除或限制后果性或附带损害的责任,因此上述限制可能不适用。

修订

  • V1.0 (2013 年 1 月 14 日) :公告已发布。

生成于 2014-04-18T13:49:36Z-07:00